CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | List of all members
scss_formatter Class Reference

SCSS base formatter. More...

Inheritance diagram for scss_formatter:
[legend]

## Public Member Functions
| __construct ()
| indentStr ($n=0)
| property ($name, $value)
| format ($block)

## Public Attributes
| $indentChar = " "
| $break = "\n"
| $open = " {"
| $close = "}"
| $tagSeparator = ", "
| $assignSeparator = ": "

## Protected Member Functions
| block ($block)

## Detailed Description

SCSS base formatter.

Author
  Leaf Corcoran leafo.nosp@m.t@gm.nosp@m.ail.c.nosp@m.om

Definition at line 4172 of file scssc.php.

## Constructor & Destructor Documentation

scss_formatter::__construct | ( |  | ) |

Definition at line 4181 of file scssc.php.

## Member Function Documentation

scss_formatter::block | ( |  | $block | ) |
| protected

Definition at line 4193 of file scssc.php.

References $break, and indentStr().

Referenced by format().

Here is the caller graph for this function:

scss_formatter::format | ( |  | $block | ) |

Definition at line 4225 of file scssc.php.

References block().

scss_formatter::indentStr | ( |  | $n = `0` | ) |

Definition at line 4185 of file scssc.php.

Referenced by block(), and scss_formatter_nested\block().

Here is the caller graph for this function:

scss_formatter::property | ( |  | $name,
|  |  | $value
| ) |  |

Definition at line 4189 of file scssc.php.

## Member Data Documentation

scss_formatter::$assignSeparator = ": "

Definition at line 4179 of file scssc.php.

scss_formatter::$break = "\n"

Definition at line 4175 of file scssc.php.

Referenced by block(), and scss_formatter_nested\block().

scss_formatter::$close = "}"

Definition at line 4177 of file scssc.php.

scss_formatter::$indentChar = " "

Definition at line 4173 of file scssc.php.

scss_formatter::$open = " {"

Definition at line 4176 of file scssc.php.

scss_formatter::$tagSeparator = ", "

Definition at line 4178 of file scssc.php.

The documentation for this class was generated from the following file:

- lib/ScoutLib/scssc.php